FreeBSD : subversion -- Unrestricted XML entity expansion in mod_dontdothat and Subversionclients using http(s) (ac256985-b6a9-11e6-a3bf-206a8a720317)

Medium Nessus Plugin ID 95409


The remote FreeBSD host is missing one or more security-related updates.


The Apache Software Foundation reports :

The mod_dontdothat module of subversion and subversion clients using http(s):// are vulnerable to a denial-of-service attack, caused by exponential XML entity expansion. The attack targets XML parsers causing targeted process to consume excessive amounts of resources.
The attack is also known as the 'billions of laughs attack.'


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 95409

File Name: freebsd_pkg_ac256985b6a911e6a3bf206a8a720317.nasl

Version: $Revision: 2.3 $

Type: local

Published: 2016/11/30

Modified: 2018/01/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P


Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:subversion, p-cpe:/a:freebsd:freebsd:subversion18, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/11/29

Vulnerability Publication Date: 2016/11/29

Reference Information

CVE: CVE-2016-8734